# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTableSectionElement Class Reference

The `THEAD` , `TFOOT` , and `TBODY` elements. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableSectionElement:

[legend]
Collaboration diagram for DOM::HTMLTableSectionElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTableSectionElement (const HTMLTableSectionElement &other)
| HTMLTableSectionElement (const Node &other)
HTMLTableSectionElement & | operator= (const HTMLTableSectionElement &other)
HTMLTableSectionElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | ch () const
void | setCh (const DOMString &)
DOMString | chOff () const
void | setChOff (const DOMString &)
DOMString | vAlign () const
void | setVAlign (const DOMString &)
HTMLCollection | rows () const
HTMLElement | insertRow (long index)
void | deleteRow (long index)

## Protected Member Functions

| HTMLTableSectionElement (HTMLTableSectionElementImpl *impl)

## Friends

class | HTMLTableElement

## Detailed Description

The `THEAD` , `TFOOT` , and `TBODY` elements.

Definition at line 895 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableSectionElement::align | ( |  | ) | const

| Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details. Definition at line 800 of file html_table.cpp.

void HTMLTableSectionElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 806 of file html_table.cpp.

DOMString HTMLTableSectionElement::ch | ( |  | ) | const

| Alignment character for cells in a column. See the char attribute definition in HTML 4.0. Definition at line 811 of file html_table.cpp.

void HTMLTableSectionElement::setCh | ( | const DOMString & |  | ) |

| see ch Definition at line 817 of file html_table.cpp.

DOMString HTMLTableSectionElement::chOff | ( |  | ) | const

| Offset of alignment character. See the charoff attribute definition in HTML 4.0. Definition at line 822 of file html_table.cpp.

void HTMLTableSectionElement::setChOff | ( | const DOMString & |  | ) |

| see chOff Definition at line 828 of file html_table.cpp.

DOMString HTMLTableSectionElement::vAlign | ( |  | ) | const

| Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details. Definition at line 833 of file html_table.cpp.

void HTMLTableSectionElement::setVAlign | ( | const DOMString & |  | ) |

| see vAlign Definition at line 839 of file html_table.cpp.

HTMLCollection HTMLTableSectionElement::rows | ( |  | ) | const

| The collection of rows in this table section. Definition at line 844 of file html_table.cpp.

HTMLElement HTMLTableSectionElement::insertRow | ( | long | index | ) |

Insert a row into this section.

The new row is inserted immediately before the current indexth row in this section. If index is -1 or equal to the number of rows in this sectino, the new row is appended.

Parameters:

  | index | The row number where to insert a new row.

Returns:
  The newly created row.

Definition at line 850 of file html_table.cpp.

void HTMLTableSectionElement::deleteRow | ( | long | index | ) |

Delete a row from this section.

Parameters:

  | index | The index of the row to be deleted, or -1 to delete the last row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.

Definition at line 860 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:32 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003